# qca_securemessage.h File Reference

Header file for secure message (PGP, CMS) classes. More...

`#include <QObject>`
`#include "qca_core.h"`
`#include "qca_publickey.h"`
`#include "qca_cert.h"`

Include dependency graph for qca_securemessage.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | QCA

## Classes

class | QCA::CMS
| Cryptographic Message Syntax messaging system. More...
class | QCA::OpenPGP
| Pretty Good Privacy messaging system. More...
class | QCA::SecureMessage
| Class representing a secure message. More...
class | QCA::SecureMessageKey
| Key for SecureMessage system. More...
class | QCA::SecureMessageSignature
| SecureMessage signature. More...
class | QCA::SecureMessageSystem
| Abstract superclass for secure messaging systems. More...

## Typedefs

typedef QList< SecureMessageKey > | QCA::SecureMessageKeyList
typedef QList < SecureMessageSignature > | QCA::SecureMessageSignatureList

## Detailed Description

Header file for secure message (PGP, CMS) classes.

Note:
  You should not use this header directly from an application. You should just use `#include <QtCrypto>` instead.